Skip to content

getShippedTrackedEntitiesForCustomer

READ

Entity picker source for RMA lines: serials/batches shipped to this customer (Consumed entities tagged with a posted shipment's id — the attributes->>X query p….

POST /api/v1/sales/getShippedTrackedEntitiesForCustomer
curl -X POST '<your-host>/api/v1/sales/getShippedTrackedEntitiesForCustomer' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "customerId": "string",
    "itemId": "string"
  }'
Response
{
  "results": [
    {
      "id": "string",
      "readableId": "string",
      "quantity": 0,
      "status": "Rejected",
      "attributes": "…"
    }
  ],
  "count": null
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "customerId": {
      "type": "string"
    },
    "itemId": {
      "type": "string"
    }
  },
  "required": [
    "customerId",
    "itemId"
  ]
}